/*	

Agility site-specific styles - EJH 30.05.26

*/

/*** site colours ***/ 

:root {
  --ltrwhite: #f5f1ef;
  --borderclr: #eadfda;
  --tblheader: var(--borderclr);
}

h1,h2,h3,h4,h5,h6 {
	margin-top: 0.2em;
}

h1:last-child {margin-bottom: 0;}

main a:visited {
  text-decoration: underline;
	color: var(--esscbright);
}

svg {transition: all .3s linear;}

th {text-align: left;}
.fr-view table th {background-color: var(--tblheader);}
.fr-view table.fr-alternate-rows tbody tr:nth-child(2n) {background-color: var(--ltrwhite);}
.fr-view table td, .fr-view table th {
	padding: 0.25rem 0.5rem 0.12rem;
	border-color: var(--borderclr);
}

/* space above first para if there is no heading above it */
.sodablock:first-child .block-content:first-child > p:first-child {margin-top: 1em;}

a.parent-site-link:hover, #soda-btn-container svg:hover {color: var(--whitehvr);}

a.parent-site-link {
    display: block;
    margin: 8px;
    line-height: 1.6;
    font-size: 1.2em;
}

@media screen and (min-width: 480px) {
  li {
    font-size: 1.1rem;
		line-height: 1.5em;
  }
}

@media screen and (min-width: 768px) {
  a.parent-site-link {font-size: 4vw; line-height: 1.2;}
}

/*** switch to grid header and nav at this breakpoint ***/

@media screen and (min-width: 1024px) {
  a.parent-site-link {
    font-size: 1.2em; 
    align-self: end;
  }
}

/*** navigation locks to top of page at this breakpoint ***/

@media screen and (min-width: 1234px) {
  #header-fw-container {
    grid-template-columns: 3fr 2fr;
  }
  a.parent-site-link {
    font-size: 1.5em;
    margin-left: -0.5em;
  }
  main ol li {
		display: revert;
		padding-right: revert;
	}
}
